/**
 * @since 1.0.0
 */
import { DynamoDBClient } from "@aws-sdk/client-dynamodb";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { DynamoDBClientInstanceConfig } from "./DynamoDBClientInstanceConfig";
declare const DynamoDBClientInstance_base: Context.TagClass<DynamoDBClientInstance, "@effect-aws/client-dynamodb/DynamoDBClientInstance", DynamoDBClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class DynamoDBClientInstance extends DynamoDBClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDynamoDBClientInstance: Effect.Effect<DynamoDBClient, never, import("effect/Scope").Scope | DynamoDBClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DynamoDBClientInstanceLayer: Layer.Layer<DynamoDBClientInstance, never, DynamoDBClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultDynamoDBClientInstanceLayer: Layer.Layer<DynamoDBClientInstance, never, never>;
export {};
